Test::Int::Precede Namespace Reference

Tests for value precedence constraints More...

## Classes

class | Single
| Test for single value precedence constraint More...
class | Multi
| Test for multiple value precedence constraint More...

## Variables

Single | _a (2, 3)
Single | _b (1, 4)
Multi | _c (Gecode::IntArgs({1, 2, 3}))
Multi | _d (Gecode::IntArgs({3, 2, 1}))
Multi | _e (Gecode::IntArgs({4, 2, 3, 1}))

## Detailed Description

Tests for value precedence constraints

## Variable Documentation

## _a

Single Test::Int::Precede::_a(2, 3) | ( | 2 | ,
|  | 3 | )

## _b

Single Test::Int::Precede::_b(1, 4) | ( | 1 | ,
|  | 4 | )

## _c

Multi Test::Int::Precede::_c(Gecode::IntArgs({1, 2, 3})) | ( | Gecode::IntArgs({1, 2, 3}) |  | ) |

## _d

Multi Test::Int::Precede::_d(Gecode::IntArgs({3, 2, 1})) | ( | Gecode::IntArgs({3, 2, 1}) |  | ) |

## _e

Multi Test::Int::Precede::_e(Gecode::IntArgs({4, 2, 3, 1})) | ( | Gecode::IntArgs({4, 2, 3, 1}) |  | ) |